weka.core

## Class ProtectedProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - weka.core.ProtectedProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>, RevisionHandler

      public class ProtectedProperties
      extends java.util.Properties
      implements RevisionHandler

  Simple class that extends the Properties class so that the properties are unable to be modified.
  Version:
    $Revision: 10203 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtectedProperties(java.util.Properties props)` Creates a set of protected properties from a set of normal ones.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Overrides a method to prevent the properties from being modified.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `void` | `load(java.io.InputStream inStream)` Overrides a method to prevent the properties from being modified.
    `java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Overrides a method to prevent the properties from being modified.
    `void` | `putAll(java.util.Map<? extends java.lang.Object,? extends java.lang.Object> t)` Overrides a method to prevent the properties from being modified.
    `java.lang.Object` | `remove(java.lang.Object key)` Overrides a method to prevent the properties from being modified.
    `java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value)` Overrides a method to prevent the properties from being modified.

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putIfAbsent, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtectedProperties

          public ProtectedProperties(java.util.Properties props)

      Creates a set of protected properties from a set of normal ones.
      Parameters:
        `props` - the properties to be stored and protected.

  - ### Method Detail

    - #### setProperty

          public java.lang.Object setProperty(java.lang.String key,
                                              java.lang.String value)

      Overrides a method to prevent the properties from being modified.
      Overrides:
        `setProperty` in class `java.util.Properties`
      Returns:
        never returns without throwing an exception.
      Throws:
        `java.lang.UnsupportedOperationException` - always.

    - #### load

          public void load(java.io.InputStream inStream)

      Overrides a method to prevent the properties from being modified.
      Overrides:
        `load` in class `java.util.Properties`
      Throws:
        `java.lang.UnsupportedOperationException` - always.

    - #### clear

          public void clear()

      Overrides a method to prevent the properties from being modified.
      Specified by:
        `clear` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
      Overrides:
        `clear` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
      Throws:
        `java.lang.UnsupportedOperationException` - always.

    - #### put

          public java.lang.Object put(java.lang.Object key,
                                      java.lang.Object value)

      Overrides a method to prevent the properties from being modified.
      Specified by:
        `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
      Overrides:
        `put` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
      Returns:
        never returns without throwing an exception.
      Throws:
        `java.lang.UnsupportedOperationException` - always.

    - #### putAll

          public void putAll(java.util.Map<? extends java.lang.Object,? extends java.lang.Object> t)

      Overrides a method to prevent the properties from being modified.
      Specified by:
        `putAll` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
      Overrides:
        `putAll` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
      Throws:
        `java.lang.UnsupportedOperationException` - always.

    - #### remove

          public java.lang.Object remove(java.lang.Object key)

      Overrides a method to prevent the properties from being modified.
      Specified by:
        `remove` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
      Overrides:
        `remove` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
      Returns:
        never returns without throwing an exception.
      Throws:
        `java.lang.UnsupportedOperationException` - always.

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision